///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// Copyright Nurve Networks LLC 2009
//
// Filename: CHAM_PIC_GFX_DRV_V010.h
//
// Original Author: Andre' LaMothe
//					Joshua Hintze
//
// Last Modified: 8.20.08
//
// Description: This file contains generic defines, macros, types for all the library modules and system related
// code and utility functions.
//
//
//
//
//
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// INCLUDES ///////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// watch for multiple inclusions
#ifndef CHAM_PIC_GFX_DRV
#define CHAM_PIC_GFX_DRV
 // support C++ compilers
 #ifdef __cplusplus
 extern "C" {
 #endif


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// MACROS /////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// DEFINES/////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// TYPES/CLASSES //////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// GLOBALS ////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// EXTERNALS //////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// PROTOTYPES /////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

int GFX_GPU_Fill_Mem16(unsigned int dest_ptr,unsigned int value, unsigned int num_bytes);
int GFX_GPU_Copy_Mem16(unsigned int dest_ptr, unsigned int src_ptr, unsigned int num_bytes);
int GFX_GPU_Fill_Mem8(unsigned int dest_ptr,unsigned int value, unsigned int num_bytes);
int GFX_GPU_Copy_Mem8(unsigned int dest_ptr, unsigned int src_ptr, unsigned int num_bytes);

unsigned int GFX_Read_Palette_Ptr(void);
unsigned int GFX_Write_Palette_Ptr(unsigned int palette_ptr);

unsigned int GFX_Read_Tilemap_Ptr(void);
unsigned int GFX_Write_Tilemap_Ptr(unsigned int tilemap_ptr);

unsigned int GFX_Read_Bitmap_Ptr(void);
unsigned int GFX_Write_Bitmap_Ptr(unsigned int bitmap_ptr);

int GFX_Get_HScroll(void);
int GFX_Get_HScroll(void);
int GFX_Get_VScroll(void);
int GFX_Set_HScroll(void);
int GFX_Set_VScroll(int vscroll);

unsigned int GFX_Read_Mem_Port8(void);
int GFX_Write_Mem_Port8(unsigned int data);

unsigned int GFX_Read_Mem_Port16(void);
unsigned int GFX_Write_Mem_Port16(unsigned int data);

unsigned int GFX_Get_Src_Ptr(void);
unsigned int GFX_Get_Dest_Ptr(void);

unsigned int GFX_Set_Src_Ptr(unsigned int src_ptr);
unsigned int GFX_Set_Dest_Ptr(unsigned int dest_ptr);

int GFX_Get_Tilemap_Width(void);
int GFX_Set_Tilemap_Width(int width);

int GFX_Get_Bottom_Overscan_Color(void);
int GFX_Get_Top_Overscan_Color(void);
int GFX_Set_Bottom_Overscan_Color(int col);
int GFX_Set_Top_Overscan_Color(int col);

// end support for C++ compilers
 #ifdef __cplusplus
 }
 #endif

// end multiple inclusions
#endif
