///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// Copyright Nurve Networks LLC 2009
//
// Filename: CHAM_PIC_NTSC_VGA_PRINT_DEMO_01.C
//
// Original Author: Andre' LaMothe
//
// Last Modified: 10.18.09
//
// Description: NTSC/VGA demo of "Hello World"
//
// Overview: Simply prints out "Hello World!" to the NTSC and VGA screens in a few lines of code
// Chameleon AVR version nearly identical
//
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// INCLUDES ///////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// include headers required for demo
#include "CHAM_PIC_SYSTEM_V010.h"             // you need this one always
#include "CHAM_PIC_I2C_SPI_DRV_V010.h"        // you need this always
#include "CHAM_PIC_NTSC_DRV_V010.h"           // needed for NTSC driver
#include "CHAM_PIC_VGA_DRV_V010.h"            // needed for VGA driver

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// DEFINES AND MACROS /////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// MAIN ///////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

int main(void)
{

// Always call ConfigureClock first
SYS_ConfigureClock(MAX_FCY_RATE);

// initialize SPI
SPI_Init();


// clear screens
NTSC_ClearScreen();
VGA_ClearScreen();

// enter infinite loop...
while(1)
     {
     // print on NTSC terminal screen
     NTSC_Color(0);
     NTSC_Term_Print("Hello World!   ");

     // print on VGA terminal screen
     VGA_Color(0);
     VGA_Term_Print("Hello World!   ");

     // slow things down a bit, so we can read the text!
     DELAY_MS(10);

     } // end while

} // end main
